#!./bin/python
import tcod

from floor_map import FloorMap #TODO: replace with "DungeonMap"

from engine import Engine

def main() -> None:
	#assets
	tileset = tcod.tileset.load_tilesheet("assets/dejavu10x10_gs_tc.png", 32, 8, tcod.tileset.CHARMAP_TCOD)

	context = tcod.context.new(
		columns = 80,
		rows = 45,
		tileset = tileset,
		title = "Stepwise Roguelike",
		vsync = True
	)

	w, h = context.recommended_console_size(min_columns=10, min_rows=10)

	console = tcod.console.Console(
		width = w,
		height = h,
		order = "F"
	)

	floor_map = FloorMap(80, 45) # same as context settings

	engine = Engine(floor_map)

	# game loop
	while True:
		engine.render(context, console)
		events = tcod.event.wait()
		engine.handle_events(events)

# this seems odd to me
if __name__ == "__main__":
	main()